get a scope.md
Get a Scope
Management API · Scopes
GET https://app.mk.io/api/v1/organization/scopes/{scope_name}
Returns details of a single Scope.
RBAC Capability Required: core.scope.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
scope_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/organization/scopes/{scope_name}" \
-H "Authorization: Bearer <token>"
Responses
200 — The scope
kind· string · Optional — The kind of record.metadata· object · Required — Scope metadata.id· string · Required · format: uuid — The ID of the resourcename· string · Optional — The name of the resource
spec· object · Required — Scope specification.description· string · Required · 0-256 characters — A description of the scope.resources· list of objects · Optional — List of resources.- Array items (object):
id· string · Required · format: uuid — The id of the resource.type· string · Required — The type of the resource.
- Array items (object):
Example:
{
"kind": "string",
"metadata": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"spec": {
"description": "string",
"resources": [
{
"id": "00000000-0000-0000-0000-000000000000",
"type": "string"
}
]
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}